Thursday, July 12, 2012

MAMP & MAMP PRO 2.1.1 released

We just released MAMP & MAMP PRO Version 2.1.1 (download page).

Release Notes:

MAMP & MAMP PRO
  • PHP versions updated
  • MySQL version updated
  • Deprecated directive "allow_call_time_pass_reference" removed for PHP 5.4.x
  • Xdebug activation corrected
  • Execution bit of PHP CLI fixed
  • PEAR conf files corrected
  • phpMyAdmin incompatibilities with Safari fixed
  • Config files of phpMyAdmin will now work with the latest PHP version
  • Spelling errors on the Webstart page eliminated
  • Changing the PHP version will now be saved
  • Missing lib yaz.so included
  • Installer will now keep an existing MAMP folder
MAMP PRO
  • Spelling errors in Uninstaller fixed
  • GUI elements will now be restored correctly after program launch
  • Improvements in Restore backup dialog
  • Spelling errors in GUI elements corrected
  • Built-in Apache server of Mac OS X will now start correctly

Programs and libraries:
  • Apache HTTP Server 2.2.22
  • PHP 5.2.17
  • PHP 5.3.14 (MAMP PRO only)
  • PHP 5.4.4
  • MySQL 5.5.25
  • phpMyAdmin 3.5.1
  • SQLiteManager 1.2.4
  • Alternative PHP Cache (APC) 3.1.9
  • curl 7.24.0
  • eAccelerator 0.9.6.1
  • Expat XML Parser 2.0.1
  • FreeType 2.4.8
  • gettext 0.18.1.1
  • jpeg 8d
  • libiconv 1.14
  • Libidn 1.17
  • libmcrypt 2.6.8
  • libpng 1.5.7
  • libxml2 2.7.8
  • libxslt 1.1.26
  • Sablotron XML processor 1.0.3
  • t1lib 5.1.2
  • XCache 1.2.2
  • XCache 1.3.2
  • Xdebug 2.2.0
  • PHP/YAZ 1.0.14
  • YAZ 4.0.1
This update is already available on our download page, don't hesitate to report any other bug you may find to our bugbase so we can fix it as quickly as possible.

Please note: Existing customers of MAMP PRO 1.x can upgrade to MAMP PRO 2 at a very reasonable rate.

Your MAMP Team
LOVE YOUR SERVERS!

Share/Save/Bookmark